<?php

namespace app\tools\controller;

use app\common\controller\ToolsController;
use think\facade\Console;

class Install extends ToolsController
{
    public function index()
    {
        if (file_exists(__DIR__ . '/install.lock')) {
            dump('安装失败，系统已安装');
            return '';
        }

        dump(Console::call('migrate:run')->fetch());

        dump(Console::call('seed:run')->fetch());

        file_put_contents(__DIR__ . '/install.lock', time());

        return '';
    }
}
